# Interface ProvidesTree

All Superinterfaces:
  `BlockTagTree, DocTree`

public interface ProvidesTree extends BlockTagTree
A tree node for a `@provides` block tag.

       @provides service-type description

Since:
  9

## Nested Class Summary

### Nested classes/interfaces declared in interface DocTree

`DocTree.Kind`
Modifier and Type
Interface
Description
`static enum`
`DocTree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`List<? extends DocTree>`
`getDescription()`
Returns a description of the service type being provided by the module.
`ReferenceTree`
`getServiceType()`
Returns the name of the service type being documented.

### Methods declared in interface BlockTagTree

`getTagName`
Modifier and Type
Method
Description
`String`
`getTagName()`
Returns the name of the tag.

### Methods declared in interface DocTree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(DocTreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`DocTree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getServiceType

ReferenceTree getServiceType()
Returns the name of the service type being documented.

Returns:
  the name of the service type

### getDescription

List<? extends DocTree> getDescription()
Returns a description of the service type being provided by the module.

Returns:
  the description